Subject: Re: [PATCH v3 net-next 2/2] octeontx2-af: Knobs for NPC default rule counters

From: Simon Horman <[email-masked]>
Date: Fri, 18 Oct 2024 13:01:59 +0100

+ Jiri

On Thu, Oct 17, 2024 at 02:12:44PM +0530, Linu Cherian wrote:
> Add devlink knobs to enable/disable counters on NPC
> default rule entries.
> 
> Sample command to enable default rule counters:
> devlink dev param set <dev> name npc_def_rule_cntr value true cmode runtime
> 
> Sample command to read the counter:
> cat /sys/kernel/debug/cn10k/npc/mcam_rules
> 
> Signed-off-by: Linu Cherian <[email-masked]>
> ---
> Changelog from v2:
> Moved out the refactoring into separate patch. 
> 
>  .../net/ethernet/marvell/octeontx2/af/rvu.h   |  2 +
>  .../marvell/octeontx2/af/rvu_devlink.c        | 32 +++++++++++++
>  .../ethernet/marvell/octeontx2/af/rvu_npc.c   | 45 +++++++++++++++++++
>  3 files changed, 79 insertions(+)

Hi Linu,

This looks like a good approach to me.
However I think you also also need to add documentation for npc_def_rule_cntr
to Documentation/networking/devlink/octeontx2.rst

Likewise, octeontx2.rst seems to be missing documentation for the existing
AF parameters npc_mcam_high_zone_percent and nix_maxlf. I did not see
if there are any more undocumented parameters for octeontx2 but I'd
appreciate if you could do so.

...